# G1-KDE-Notifier

G1-KDE-Notifier est un outil de notification pour les utilisateurs de la monnaie libre Ğ1 utilisant les messageries Cesium+ et Gchange. Il vous permet de recevoir des notifications KDE pour les nouveaux messages et transactions directement sur votre bureau.

## Prérequis

- Un système d'exploitation Linux avec un environnement de bureau KDE.
- [Jaklis](https://git.duniter.org/clients/python/jaklis) - Un outil en ligne de commande pour interagir avec les nœuds Duniter.
- `jq` - Un processeur léger et flexible de ligne de commande JSON. Vous pouvez l'installer via votre gestionnaire de paquets. Par exemple, sur Ubuntu :
  ```sh
  sudo apt install jq
  ```

## Installation

Assurez-vous que les scripts `get-messages.sh` et `get-transactions.sh` sont exécutables en exécutant la commande suivante dans le dossier du projet :

```sh
chmod +x get-messages.sh get-transactions.sh
```

## Configuration

Les noms de fichiers ne doivent pas contenir de caractères exotiques comme des espaces ou des parenthèses. Préférés des noms de fichiers parlant (nom du compte) plutôt que le nom de fichier proposé par défaut par Cesium. Les underscores (`_`) seront remplacés par des espaces dans le titre de la notification.

1. Pour les messages, mettez vos clefs au format Pubsec dans des fichiers .dunikey dans `keys/cesium/` et `keys/gchange/`.
2. Pour les transactions, mettez vos clefs publiques dans un fichier .txt dans `keys/g1/`.
3. Ajoutez les tâches cron pour exécuter les scripts à intervalles réguliers. Ouvrez l'éditeur cron avec la commande `crontab -e` et ajoutez les lignes suivantes :

```
*/15 * * * * DISPLAY=:0 XDG_RUNTIME_DIR=/run/user/$(id -u) ~/projets/g1-kde-notifier/get-messages.sh >> ~/projets/g1-kde-notifier/cron-msg.log 2>&1
*/5 * * * * DISPLAY=:0 XDG_RUNTIME_DIR=/run/user/$(id -u) ~/projets/g1-kde-notifier/get-transactions.sh >> ~/projets/g1-kde-notifier/cron-tx.log 2>&1
```

Modifier les chemins selon l'emplacement de g1kde-notifier.

## Utilisation

Une fois configuré, le G1-KDE-Notifier vérifiera automatiquement les nouveaux messages et transactions et affichera des notifications KDE sur votre bureau.

Pour les messages, il vérifie si VLC ou Kate est ouvert et, dans ce cas, ne montre pas de notifications pour éviter les interruptions pendant que vous regardez une vidéo ou éditez un document.

## Licence

Ce projet est sous licence libre. Voir le fichier LICENSE pour plus de détails.
